Bug 2255509 - Please enable zlib in LibRaw
Summary: Please enable zlib in LibRaw
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LibRaw
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-12-21 11:58 UTC by Miloš Komarčević
Modified: 2023-12-30 01:30 UTC (History)
5 users (show)

Fixed In Version: LibRaw-0.21.2-1.fc39 LibRaw-0.21.2-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-30 01:22:51 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miloš Komarčević 2023-12-21 11:58:07 UTC
--enable-zlib and zlib explicit dependency is missing in the spec

This is needed for LibRaw to support e.g. deflate compressed DNG files.

Reproducible: Always

Comment 1 Miloš Komarčević 2023-12-21 11:59:01 UTC
There is also a 0.21.2 update available.

Comment 2 Fedora Update System 2023-12-21 14:54:52 UTC
FEDORA-2023-8302385aaa has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8302385aaa

Comment 3 Fedora Update System 2023-12-22 02:52:23 UTC
FEDORA-2023-8302385aaa has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8302385aaa`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8302385aaa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-12-22 03:39:11 UTC
FEDORA-2023-e9cc4859fe has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e9cc4859fe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e9cc4859fe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Miloš Komarčević 2023-12-22 08:05:50 UTC
LGTM, thanks.

Comment 6 Fedora Update System 2023-12-30 01:22:51 UTC
FEDORA-2023-8302385aaa has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-12-30 01:30:38 UTC
FEDORA-2023-e9cc4859fe has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.